
<div class="cust-card" >
	<button (click)="swapMode()" class="btn-block">
		<h3> <b> {{ displayOffLine ? "All" : "Online"}} Players  </b> </h3>
	</button>
	<div class="scroll-part">
		<div  *ngFor="let user of userList;" >
			<div *ngIf=" user.id != userService.data.id">
		  		<button *ngIf="!user.statut_connexion && displayOffLine" style="text-align:left" [routerLink]="['user',user.id,0]" class="btn btn-secondary btn-block mt-2" >

		  			 <img *ngIf="user.avatar" 
		  			 		[src]="user.avatar" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="{{user.prenom + '\'s Image'}}">
					<img *ngIf="!user.avatar" 
							[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="{{user.prenom + '\'s Image'}}">
				    <!-- Consomme beaucoup de donnée réseau --> 
				    <b> {{ user.nom + " " + user.prenom }} </b>
			   </button>
			   <button *ngIf="user.statut_connexion" style="text-align:left" [routerLink]="['user',user.id,0]" class="btn btn-success btn-block mt-2" >

		  			 <img *ngIf="user.avatar" 
		  			 		[src]="user.avatar" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="{{user.prenom + '\'s Image Online'}}">
					<img *ngIf="!user.avatar" 
							[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="{{user.prenom + '\'s Image Online'}">
				    <!-- Consomme beaucoup de donnée réseau --> 
				    <b> {{ user.nom + " " + user.prenom }} </b>
			   </button>
	    	</div>
		</div>
	</div>
</div>